Bug 45926 - sa2 generates
sa2 generates
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-06-25 17:07 EDT by Charles Seraphine
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-02 10:36:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles Seraphine 2001-06-25 17:07:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
Every sa2 run generates an error like this:
Cannot open /var/log/sa/sa22: No such file or directory
Touching the file just changes it to an "invalid" error.  Could this be 
related to the goofy crontabbing of sar in /etc/crontab?

How reproducible:

Steps to Reproduce:
1.Install sysstat
2.Wait for it to run
3.Read the fun and exciting errors in roots mail

Actual Results:  You are emailed errors as in the description.  Note that 
a few of the days seem to collect data.  Here is an ls of /var/log/sa/ 
from a box that has been up for over a month:
-rw-r--r--    1 root     root       191449 Jun 16 23:50 sa16
-rw-r--r--    1 root     root       191449 Jun 17 23:50 sa17
-rw-r--r--    1 root     root       191449 Jun 23 23:50 sa23
-rw-r--r--    1 root     root       191449 Jun 24 23:50 sa24
-rw-rw-rw-    1 root     root       186807 Jun 16 19:05 sar16
-rw-rw-rw-    1 root     root       186807 Jun 17 19:05 sar17
-rw-rw-rw-    1 root     root            0 Jun 18 19:05 sar18
-rw-rw-rw-    1 root     root            0 Jun 19 19:05 sar19
-rw-rw-rw-    1 root     root            0 Jun 20 19:05 sar20
-rw-rw-rw-    1 root     root            0 Jun 21 19:05 sar21
-rw-rw-rw-    1 root     root            0 Jun 22 19:05 sar22
-rw-rw-rw-    1 root     root       186807 Jun 23 19:05 sar23

Expected Results:  The sa files should have data, allowing me to use sar 
to get performance data.

Additional info:

Seems to work ok in RHL7.1.
Comment 1 Preston Brown 2001-06-29 13:08:15 EDT
We released sysstat errata for RHL 7.0 that fixed this problem.  Or upgrade to 

Note You need to log in before you can comment on or make changes to this bug.